﻿using STM.EfHubService.AdminUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace STM.EfHubService.AdminUI
{
    /// <summary>
    /// Interaction logic for NewVoyageplanDialog.xaml
    /// </summary>
    public partial class AisShipDialog : Window
    {
        public AisShipDialog()
        {
            InitializeComponent();
            DataContext = new AisShipViewModel();
        }

        public AisShipViewModel ViewModel
        {
            get
            {
                return DataContext as AisShipViewModel;
            }
        }

        private void OkButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
