﻿using Microsoft.Win32;
using STM.EfHubService.DataAccess;
using STM.EfHubService.DataAccess.Entities.Ais;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Xml;

namespace STM.EfHubService.AdminUI
{
    public class AisShipViewModel : ViewModelBase
    {
        public AisShipViewModel()
        {
        }

        private Ship _selectedShip;
        public Ship SelectedShip
        {
            get
            {
                return _selectedShip;
            }
            set
            {
                if (_selectedShip == value)
                    return;

                _selectedShip = value;
                OnPropertyChanged(() => SelectedShip);
            }
        }

        private bool _isUpdate;
        public bool IsUpdate
        {
            get
            {
                return _isUpdate;
            }
            set
            {
                if (_isUpdate == value)
                    return;

                _isUpdate = value;
                OnPropertyChanged(() => IsUpdate);
            }
        }
    }
}