﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STM.EfHubService.Ais.WebJob
{
    public static class Extensions
    {
        public static decimal? GetNullableDecimal(this SqlDataReader reader,
            int column)
        {
            return reader.IsDBNull(column) ? (decimal?)null :
                reader.GetDecimal(column);
        }

        public static Int32? GetNullableInt(this SqlDataReader reader,
            int column)
        {
            return reader.IsDBNull(column) ? (Int32?)null :
                reader.GetInt32(column);
        }

        public static string GetNullableString(this SqlDataReader reader,
            int column)
        {
            return reader.IsDBNull(column) ? (string)null :
                reader.GetString(column);
        }        
    }
}
