﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STM.EfHubService.DataAccess.Entities.Ais
{
    public class Ship
    {
        [Key]
        public long Mmsi { get; set; }
        public int? Imo { get; set; }
        public string CallSign { get; set; }
        public string Name { get; set; }
        public decimal? Draught { get; set; }
        public string Destination { get; set; }
        public decimal? Latitude { get; set; }
        public decimal? Longitude { get; set; }
        public int? NavigatoionStatus { get; set; }
        public decimal? Cog { get; set; }
        public int? Hdg { get; set; }
        public int? ShipType { get; set; }
        public decimal? Sog { get; set; }
        public string TransponderType { get; set; }
        public DateTime? StoppedTime { get; set; }

        public DateTime UpdatedUtc { get; set; }
    }
}