
using System;
using System.Collections.Generic;

namespace STM.EfHubService.DataAccess.Entities
{
    public class FlowAreaShipPassage : EntityBase
    {
        public DateTime PassageTimeStart { get; set; }
        public DateTime PassageTimeEnd { get; set; }
        public bool Inactivated { get; set; }
        public string ShipName { get; set; }
        public long? ShipMmsi { get; set; }
        public int? ShipImo { get; set; }
        public string PpuServiceId { get; set; }
        public string PpuServiceName { get; set; }
        public virtual FlowArea FlowArea { get; set; }
        public virtual UploadedRtz Rtz { get; set; }
    }
}