using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace STM.EfHubService.DataAccess.Entities
{
    public class Service : EntityBase
    {
        public long? Mmsi { get; set; }
        public int? Imo { get; set; }
        public string PilotingName { get; set; }
        public long? PilotingMmsi { get; set; }
        public int? PilotingImo { get; set; }
        public ServiceType ServiceType { get; set; }
        public string Name { get; set; }
        public string VisServiceId { get; set; }
        public string VisOrgId { get; set; }
        public string VisServiceUrl { get; set; }
        public bool Active { get; set; }
        public bool SendTraceMessage { get; set; }
    }
}