﻿CREATE TABLE [dbo].[Ship] (
    [Mmsi]              BIGINT          NOT NULL,
    [Imo]               INT             NULL,
    [CallSign]          NVARCHAR (MAX)  NULL,
    [Name]              NVARCHAR (MAX)  NULL,
    [Draught]           DECIMAL (18, 2) NULL,
    [Destination]       NVARCHAR (MAX)  NULL,
    [Latitude]          DECIMAL (10, 6) NULL,
    [Longitude]         DECIMAL (10, 6) NULL,
    [NavigatoionStatus] INT             NULL,
    [Cog]               DECIMAL (18, 2) NULL,
    [Hdg]               INT             NULL,
    [ShipType]          INT             NULL,
    [Sog]               DECIMAL (18, 2) NULL,
    [TransponderType]   NVARCHAR (MAX)  NULL DEFAULT 'A',
    [UpdatedUtc]        DATETIME        NOT NULL,
    CONSTRAINT [PK_dbo.Ship] PRIMARY KEY CLUSTERED ([Mmsi] ASC)
);

