﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Security;
using System.Web.SessionState;

[assembly: log4net.Config.XmlConfigurator(Watch = true)]

namespace STM.EfHubService.WebApi
{
    public class Global : System.Web.HttpApplication
    {
        private static readonly log4net.ILog log = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        protected void Application_Start()
        {
            log4net.Util.LogLog.InternalDebugging = true;
            try
            {
                log.Info("Web application starting...");

                GlobalConfiguration.Configure(WebApiConfig.Register);
                UnityConfig.RegisterComponents();

                log.Info("Web application started");
            }
            catch (Exception ex)
            {
                log.Error(ex);
                throw ex;
            }
        }
    }
}