
using System;
using System.Collections.Generic;

namespace STM.EfHubService.DataAccess.Entities
{
    public class FlowOccasion : EntityBase
    {
        public DateTime DetectionTime { get; set; }
        public DateTime OccasionTimeStart { get; set; }
        public DateTime OccasionTimeStop { get; set; }
        public bool Resolved { get; set; }
        public DateTime? ResolvedTime { get; set; }
        public virtual UploadedRtz ResolvedByRtz { get; set; }

        public virtual FlowArea FlowArea { get; set; }

        public string Ship1Name { get; set; }
        public long? Ship1Mmsi { get; set; }
        public int? Ship1Imo { get; set; }
        public string Ship1PpuServiceId { get; set; }
        public string Ship1PpuServiceName { get; set; }
        public virtual UploadedRtz Ship1Rtz { get; set; }


        public string Ship2Name { get; set; }
        public long? Ship2Mmsi { get; set; }
        public int? Ship2Imo { get; set; }
        public string Ship2PpuServiceId { get; set; }
        public string Ship2PpuServiceName { get; set; }
        public virtual UploadedRtz Ship2Rtz { get; set; }
    }
}