﻿using STM.EfHubService.DataAccess.Entities.Ais;
using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STM.EfHubService.DataAccess.Mapping.Ais
{
    public class ShipMap : EntityTypeConfiguration<Ship>
    {
        public ShipMap()
        {
            this.ToTable("Ship");

            this.HasKey(c => c.Mmsi)
                .Property(x => x.Mmsi)
                .HasDatabaseGeneratedOption(System.ComponentModel.DataAnnotations.Schema.DatabaseGeneratedOption.None);
            this.Property(c => c.Imo);
            this.Property(c => c.CallSign);
            this.Property(c => c.Name);
            this.Property(c => c.TransponderType);
            this.Property(c => c.Draught);
            this.Property(c => c.Latitude).HasPrecision(10, 6);
            this.Property(c => c.Longitude).HasPrecision(10, 6);
            this.Property(c => c.Sog);
            this.Property(c => c.Cog);
            this.Property(c => c.Hdg);
            this.Property(c => c.Destination);
            this.Property(c => c.NavigatoionStatus);
            this.Property(c => c.ShipType);
            this.Property(c => c.UpdatedUtc);
        }
    }
}
