﻿CREATE PROCEDURE [dbo].[UpdateShip]
(
	@Mmsi as bigint,
	@Imo int,
	@CallSign nvarchar(max),
	@Name nvarchar(max),
	@Draught decimal(18, 2),
	@Destination nvarchar(max),
	@Latitude decimal(10, 6),
	@Longitude decimal(10, 6),
	@NavigatoionStatus int,
	@Cog decimal(18, 2),
	@Hdg int,
	@ShipType int,
	@Sog decimal(18, 2),
	@TransponderType nvarchar(max),
	@UpdatedUtc datetime
)
AS
BEGIN
    SET NOCOUNT ON

	IF EXISTS(SELECT TOP(1) Mmsi FROM Ship WHERE Mmsi = @Mmsi)
	BEGIN
		UPDATE Ship SET [Name] = @Name,
		Imo = @imo,
		CallSign = @callsign,
		Draught = @Draught,
		Destination = @Destination,
		Latitude = @Latitude,
		Longitude = @Longitude,
		NavigatoionStatus = @NavigatoionStatus,
		Cog = @Cog,
		Hdg = @Hdg,
		ShipType = @ShipType,
		Sog = @Sog,
		TransponderType = @TransponderType,
		UpdatedUtc = @UpdatedUtc
		WHERE mmsi = @mmsi
	END
	ELSE
	BEGIN
		INSERT INTO Ship (Mmsi,[Name],Imo,CallSign,Draught,Destination,Latitude,Longitude,NavigatoionStatus,Cog,Hdg,ShipType,Sog,TransponderType,UpdatedUtc) 
		VALUES (@mmsi,@name,@Imo,@CallSign,@Draught,@Destination,@Latitude,@Longitude,@NavigatoionStatus,@Cog,@Hdg,@ShipType,@Sog,@TransponderType,@UpdatedUtc)
	END
END
